Create an order contact (legacy)
Important
A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.
POST /v2/orders/<orderRef>/contacts
Creates the primary contact on an order.
| Attribute | Type | Description | Example |
|---|---|---|---|
orderRef | string | The reference of the order. If you do not know the order reference, first retrieve orders. | d680c9be-4c07-4731-857e-9602034b15f2 |
At a minimum, you must provide the following required attributes in the request body:
| Attribute | Type | Description | Example |
|---|---|---|---|
firstName | string (title case recommended) | The first name of the order contact. | "John" |
lastName | string (title case recommended) | The last name of the order contact. | "Doe" |
In the response, ref contains the order contact reference.
If you have suggestions for improving this article, let us know!